﻿using System;
using System.Windows.Controls;
using Microsoft.Phone.Controls;
using Microsoft.Devices.Sensors;
namespace P27_1
{
    public partial class MainPage : PhoneApplicationPage
    {
        //Для акселерометра
        Accelerometer accelerometer;
        // Конструктор
        public MainPage()
        {
            InitializeComponent();
            //Новый экземпляр объекта Accelerometer
            accelerometer = new Accelerometer();
            //Время между обновлениями показаний акселерометра
            accelerometer.TimeBetweenUpdates = TimeSpan.FromMilliseconds(20);
            //Подключаем обработчик события, возникающего при получении новых данных
            accelerometer.CurrentValueChanged += new EventHandler<SensorReadingEventArgs<AccelerometerReading>>(accelerometer_CurrentValueChanged);
           //Запуск акселерометра
            accelerometer.Start();
        }
        //Обработчик
        void accelerometer_CurrentValueChanged(object sender, SensorReadingEventArgs<AccelerometerReading> e)
        {
            //Вызов метода из потока пользовательского интерфейса
            Dispatcher.BeginInvoke(() => MoveObject(e.SensorReading));
        }
        //Метод для перемещения объекта
        void MoveObject(AccelerometerReading accData)
        {
            //Переместим объект по оси Y
            Canvas.SetLeft(ellipse1, Canvas.GetLeft(ellipse1) - accData.Acceleration.Y*5);
            //Переместим объект по оси X
            Canvas.SetTop(ellipse1, Canvas.GetTop(ellipse1) - accData.Acceleration.X*5);
            //Проверим на столкновение с границами экрана
            CheckBounds();
        }
        void CheckBounds()
        {
            //При выходе объекта за границы экрана
            //Установим позицию так, чтобы он касался
            //границ экрана
            if (Canvas.GetLeft(ellipse1) < 0 )          
            {
                Canvas.SetLeft(ellipse1, 0);
            }
            if (Canvas.GetLeft(ellipse1) > 700)
            {
                Canvas.SetLeft(ellipse1, 700);
            }
            if (Canvas.GetTop(ellipse1) < 0)
            {
                Canvas.SetTop(ellipse1, 0);
            }
            if (Canvas.GetTop(ellipse1) > 380)
            {
                Canvas.SetTop(ellipse1, 380);
            }
        }

    }
}